## libmpeg3 1.5

=== Makefile ===
CC = gcc
NASM = nasm
USE_MMX = 0
USE_CSS = 1



ifeq ($(origin CFLAGS), environment)
HAVE_CFLAGS := yes
else
HAVE_CFLAGS := no
endif


OBJDIR := $(shell uname --machine)

$(shell sh -c 'if ! test -d $(OBJDIR)\; then \
	mkdir $(OBJDIR)\; \
	mkdir $(OBJDIR)/audio\; \
	mkdir $(OBJDIR)/video\; fi' )




ifeq ($(OBJDIR), alpha)
  USE_MMX = 0
  ifneq ($(HAVE_CFLAGS), yes)
    CFLAGS = -O4 -arch ev67 -ieee -accept c99_keywords -gcc_messages
  endif
endif

ifeq ($(OBJDIR), i686)
  USE_MMX = 1
  ifneq ($(HAVE_CFLAGS), yes)
    CFLAGS = -O2 -D_FILE_OFFSET_BITS=64 -fomit-frame-pointer -malign-loops=2 -malign-jumps=2 -malign-functions=2 -I/usr/local/include
  endif
endif


ifeq ($(USE_CSS), 1)
  CFLAGS += -DHAVE_CSS
endif

ifeq ($(USE_MMX), 1)
  CFLAGS += -DHAVE_MMX
  ASMOBJS = $(OBJDIR)/video/mmxidct.o
  NASMOBJS = $(OBJDIR)/video/reconmmx.o
endif








#CFLAGS += -g







UTILOBJS = \
	$(OBJDIR)/mpeg3cat.o \
	$(OBJDIR)/mpeg3dump.o \
	$(OBJDIR)/mpeg3split.o \
	$(OBJDIR)/mpeg3toc.o


OBJS = \
	$(OBJDIR)/bitstream.o \
	$(OBJDIR)/libmpeg3.o \
	$(OBJDIR)/mpeg3atrack.o \
	$(OBJDIR)/mpeg3css.o \
	$(OBJDIR)/mpeg3demux.o \
	$(OBJDIR)/mpeg3ifo.o \
	$(OBJDIR)/mpeg3io.o \
	$(OBJDIR)/mpeg3title.o \
	$(OBJDIR)/mpeg3vtrack.o \
	$(OBJDIR)/audio/ac3.o \
	$(OBJDIR)/audio/bit_allocation.o \
	$(OBJDIR)/audio/dct.o \
	$(OBJDIR)/audio/exponents.o \
	$(OBJDIR)/audio/header.o \
	$(OBJDIR)/audio/layer2.o \
	$(OBJDIR)/audio/layer3.o \
	$(OBJDIR)/audio/mantissa.o \
	$(OBJDIR)/audio/mpeg3audio.o \
	$(OBJDIR)/audio/pcm.o \
	$(OBJDIR)/audio/synthesizers.o \
	$(OBJDIR)/audio/tables.o \
	$(OBJDIR)/video/getpicture.o \
	$(OBJDIR)/video/headers.o \
	$(OBJDIR)/video/idct.o \
	$(OBJDIR)/video/macroblocks.o \
	$(OBJDIR)/video/mmxtest.o \
	$(OBJDIR)/video/motion.o \
	$(OBJDIR)/video/mpeg3video.o \
	$(OBJDIR)/video/output.o \
	$(OBJDIR)/video/reconstruct.o \
	$(OBJDIR)/video/seek.o \
	$(OBJDIR)/video/slice.o \
	$(OBJDIR)/video/vlc.o \
	$(OBJDIR)/workarounds.o

OUTPUT = $(OBJDIR)/libmpeg3.a
SHAREDOUTPUT = $(OBJDIR)/libmpeg3.so
UTILS = $(OBJDIR)/mpeg3dump $(OBJDIR)/mpeg3cat $(OBJDIR)/mpeg3toc $(OBJDIR)/mpeg3split
LIBS = -lm -lpthread


$(shell echo $(CFLAGS) > $(OBJDIR)/c_flags)


all: $(OUTPUT) $(SHAREDOUTPUT) util

$(OUTPUT): $(OBJS) $(ASMOBJS) $(NASMOBJS) $(UTILOBJS)
	ar rcs $(OUTPUT) $(OBJS) $(ASMOBJS) $(NASMOBJS)

$(SHAREDOUTPUT): $(OBJS) $(ASMOBJS) $(NASMOBJS)
	gcc -shared -o $(SHAREDOUTPUT) $(OBJS) $(ASMOBJS) $(NASMOBJS)

$(OBJDIR)/mpeg3dump: $(OUTPUT)
	$(CC) -o $(OBJDIR)/mpeg3dump mpeg3dump.c $(OUTPUT) $(LIBS)

$(OBJDIR)/mpeg3cat: $(OUTPUT)
	$(CC) -o $(OBJDIR)/mpeg3cat mpeg3cat.c $(OUTPUT) $(LIBS)

$(OBJDIR)/mpeg3toc: $(OUTPUT)
	$(CC) -o $(OBJDIR)/mpeg3toc mpeg3toc.c $(OUTPUT) $(LIBS)

$(OBJDIR)/mpeg3split: $(OUTPUT)
	$(CC) -o $(OBJDIR)/mpeg3split mpeg3split.c $(OUTPUT) $(LIBS)

$(OBJDIR)/mpeg2qt: $(OUTPUT)
	$(CC) -o $(OBJDIR)/mpeg2qt mpeg2qt.c \
		$(OUTPUT) \
		$(LIBS) \
		-I. \
		-I../quicktime \
		../quicktime/$(OBJDIR)/libquicktime.a \
		-lpng \
		-lz \
		-ldl

util: $(UTILS)

install: 
	cp $(UTILS) /usr/bin

clean:
	rm -rf $(OBJDIR)

backup: clean
	cd .. && \
	tar zcf libmpeg3.tar.gz libmpeg3

wc:
	cat *.c *.h audio/*.c audio/*.h video/*.c video/*.h | wc

$(OBJS): 
	$(CC) -c `cat $(OBJDIR)/c_flags` $(subst $(OBJDIR)/,, $*.c) -o $*.o
$(ASMOBJS): 
	$(CC) -c `cat $(OBJDIR)/c_flags` $(subst $(OBJDIR)/,, $*.S) -o $*.o
$(NASMOBJS): 
	$(NASM) -f elf $(subst $(OBJDIR)/,, $*.s) -o $*.o

$(OBJDIR)/bitstream.o:  			    bitstream.c
$(OBJDIR)/mpeg3dump.o: 				    mpeg3dump.c
$(OBJDIR)/libmpeg3.o: 				    libmpeg3.c
$(OBJDIR)/mpeg3atrack.o: 			    mpeg3atrack.c
$(OBJDIR)/mpeg3cat.o: 				    mpeg3cat.c
$(OBJDIR)/mpeg3css.o: 				    mpeg3css.c
$(OBJDIR)/mpeg3demux.o: 			    mpeg3demux.c
$(OBJDIR)/mpeg3ifo.o: 				    mpeg3ifo.c
$(OBJDIR)/mpeg3io.o: 				    mpeg3io.c
$(OBJDIR)/mpeg3split.o: 			    mpeg3split.c
$(OBJDIR)/mpeg3title.o: 			    mpeg3title.c
$(OBJDIR)/mpeg3toc.o: 				    mpeg3toc.c
$(OBJDIR)/mpeg3toc3.o:  			    mpeg3toc3.c
$(OBJDIR)/mpeg3vtrack.o: 			    mpeg3vtrack.c
$(OBJDIR)/audio/ac3.o:  			    audio/ac3.c
$(OBJDIR)/audio/bit_allocation.o: 		    audio/bit_allocation.c
$(OBJDIR)/audio/dct.o:  			    audio/dct.c
$(OBJDIR)/audio/exponents.o: 			    audio/exponents.c
$(OBJDIR)/audio/header.o: 			    audio/header.c
$(OBJDIR)/audio/layer2.o: 			    audio/layer2.c
$(OBJDIR)/audio/layer3.o: 			    audio/layer3.c
$(OBJDIR)/audio/mantissa.o: 			    audio/mantissa.c
$(OBJDIR)/audio/mpeg3audio.o: 			    audio/mpeg3audio.c
$(OBJDIR)/audio/pcm.o:  			    audio/pcm.c
$(OBJDIR)/audio/synthesizers.o: 		    audio/synthesizers.c
$(OBJDIR)/audio/tables.o: 			    audio/tables.c
$(OBJDIR)/video/getpicture.o: 			    video/getpicture.c
$(OBJDIR)/video/headers.o: 			    video/headers.c
$(OBJDIR)/video/idct.o: 			    video/idct.c
$(OBJDIR)/video/macroblocks.o:  		    video/macroblocks.c
$(OBJDIR)/video/mmxtest.o: 			    video/mmxtest.c
$(OBJDIR)/video/motion.o: 			    video/motion.c
$(OBJDIR)/video/mpeg3video.o: 			    video/mpeg3video.c
$(OBJDIR)/video/output.o: 			    video/output.c
$(OBJDIR)/video/reconstruct.o:  		    video/reconstruct.c
$(OBJDIR)/video/seek.o: 			    video/seek.c
$(OBJDIR)/video/slice.o: 			    video/slice.c
$(OBJDIR)/video/vlc.o:  			    video/vlc.c
$(OBJDIR)/workarounds.o:  			    workarounds.c

## libmpeg3 1.5.4

=== Makefile ===
CC = gcc
NASM = nasm
USE_MMX = 0
USE_CSS = 1
A52DIR := $(shell expr a52dec* )



ifeq ($(origin CFLAGS), environment)
HAVE_CFLAGS := y
else
HAVE_CFLAGS := n
endif


OBJDIR := $(shell uname --machine)




ifeq ($(OBJDIR), alpha)
  USE_MMX = 0
  ifneq ($(HAVE_CFLAGS), y)
    CFLAGS := -O4 -arch ev67 -ieee -accept c99_keywords -gcc_messages
  endif
endif

ifeq ($(OBJDIR), i686)
  USE_MMX = 1
  ifneq ($(HAVE_CFLAGS), y)
    CFLAGS := -O2 -fomit-frame-pointer -falign-loops=2 -falign-jumps=2 -falign-functions=2 -I/usr/local/include
  endif
  CFLAGS += -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE
endif

ifeq ($(OBJDIR), x86_64)
  ifneq ($(HAVE_CFLAGS), y)
    CFLAGS := -O2 -fomit-frame-pointer -I/usr/local/include
  endif
  CFLAGS += -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE


endif



ifeq ($(USE_CSS), 1)
  CFLAGS += -DHAVE_CSS
endif

ifeq ($(USE_MMX), 1)
  CFLAGS += -DHAVE_MMX
  ASMOBJS = $(OBJDIR)/video/mmxidct.o
  NASMOBJS = $(OBJDIR)/video/reconmmx.o
endif






CFLAGS += \
	-I. \
	-I$(A52DIR)/include \
	-I$(A52DIR)/liba52

#CFLAGS += -g










OBJS = \
	$(OBJDIR)/audio/ac3.o \
	$(OBJDIR)/audio/dct.o \
	$(OBJDIR)/audio/huffman.o \
	$(OBJDIR)/audio/layer2.o \
	$(OBJDIR)/audio/layer3.o \
	$(OBJDIR)/audio/mpeg3audio.o \
	$(OBJDIR)/audio/pcm.o \
	$(OBJDIR)/audio/synthesizers.o \
	$(OBJDIR)/audio/tables.o \
	$(OBJDIR)/bitstream.o \
	$(OBJDIR)/libmpeg3.o \
	$(OBJDIR)/mpeg3atrack.o \
	$(OBJDIR)/mpeg3css.o \
	$(OBJDIR)/mpeg3demux.o \
	$(OBJDIR)/mpeg3ifo.o \
	$(OBJDIR)/mpeg3io.o \
	$(OBJDIR)/mpeg3title.o \
	$(OBJDIR)/mpeg3vtrack.o \
	$(OBJDIR)/video/getpicture.o \
	$(OBJDIR)/video/headers.o \
	$(OBJDIR)/video/idct.o \
	$(OBJDIR)/video/macroblocks.o \
	$(OBJDIR)/video/mmxtest.o \
	$(OBJDIR)/video/motion.o \
	$(OBJDIR)/video/mpeg3video.o \
	$(OBJDIR)/video/output.o \
	$(OBJDIR)/video/reconstruct.o \
	$(OBJDIR)/video/seek.o \
	$(OBJDIR)/video/slice.o \
	$(OBJDIR)/video/vlc.o \
	$(OBJDIR)/workarounds.o

#OBJS = \
#	$(OBJDIR)/audio/ac3.o \
#	$(OBJDIR)/audio/bit_allocation.o \
#	$(OBJDIR)/audio/exponents.o \
#	$(OBJDIR)/audio/header.o \
#	$(OBJDIR)/audio/huffman.o \
#	$(OBJDIR)/audio/layer2.o \
#	$(OBJDIR)/audio/layer3.o \
#	$(OBJDIR)/audio/mantissa.o \
#	$(OBJDIR)/audio/pcm.o \
#	$(OBJDIR)/audio/tables.o \




DIRS := \
	$(OBJDIR)/audio \
	$(OBJDIR)/video

include Makefile.a52

DIRS += $(A52DIRS)


OUTPUT = $(OBJDIR)/libmpeg3.a
UTILS = $(OBJDIR)/mpeg3dump $(OBJDIR)/mpeg3toc  $(OBJDIR)/mpeg3cat

#$(OBJDIR)/mpeg3split


LIBS = -lm -lpthread

$(shell if ! test -d $(OBJDIR) \; then mkdir -p $(OBJDIR) \; fi )

$(shell echo $(CFLAGS) > $(OBJDIR)/c_flags)
$(shell echo $(A52CFLAGS) > $(OBJDIR)/a52_flags)
$(shell echo $(OBJS) $(ASMOBJS) $(A52OBJS) $(NASMOBJS) > $(OBJDIR)/objs)
$(shell mkdir -p $(DIRS) )

all: $(OUTPUT) $(UTILS)


$(OUTPUT): $(OBJS) $(ASMOBJS) $(NASMOBJS) $(A52OBJS)
	ar rcs $(OUTPUT) `cat $(OBJDIR)/objs`



$(OBJDIR)/mpeg3dump: $(OUTPUT) mpeg3dump.c
	$(CC) `cat $(OBJDIR)/c_flags` -o $(OBJDIR)/mpeg3dump mpeg3dump.c $(OUTPUT) $(LIBS)

$(OBJDIR)/mpeg3toc: $(OUTPUT) mpeg3toc.c
	$(CC) `cat $(OBJDIR)/c_flags` -o $(OBJDIR)/mpeg3toc mpeg3toc.c $(OUTPUT) $(LIBS)

$(OBJDIR)/mpeg3cat: $(OUTPUT) mpeg3cat.c
	$(CC) `cat $(OBJDIR)/c_flags` -o $(OBJDIR)/mpeg3cat mpeg3cat.c $(OUTPUT) $(LIBS)

#$(OBJDIR)/mpeg3split: $(OUTPUT)
#	$(CC) `cat $(OBJDIR)/c_flags` -o $(OBJDIR)/mpeg3split mpeg3split.c $(OUTPUT) $(LIBS)

$(OBJDIR)/mpeg2qt: $(OUTPUT)
	$(CC) `cat $(OBJDIR)/c_flags` -o $(OBJDIR)/mpeg2qt mpeg2qt.c \
		$(OUTPUT) \
		$(LIBS) \
		-I. \
		-I../quicktime \
		../quicktime/$(OBJDIR)/libquicktime.a \
		-lpng \
		-lz \
		-ldl

install: 
	cp $(UTILS) /usr/bin

clean:
	rm -rf $(OBJDIR)

backup: clean
	cd .. && \
	tar zcf libmpeg3.tar.gz libmpeg3

wc:
	cat *.c *.h audio/*.c audio/*.h video/*.c video/*.h | wc

$(OBJS): 
	$(CC) -c `cat $(OBJDIR)/c_flags` $(subst $(OBJDIR)/,, $*.c) -o $*.o
$(ASMOBJS): 
	$(CC) -c `cat $(OBJDIR)/c_flags` $(subst $(OBJDIR)/,, $*.S) -o $*.o
$(NASMOBJS): 
	$(NASM) -f elf $(subst $(OBJDIR)/,, $*.s) -o $*.o
$(A52OBJS):
	$(CC) -c `cat $(OBJDIR)/a52_flags` $(subst $(OBJDIR)/,, $*.c) -o $*.o

$(OBJDIR)/bitstream.o:  			    bitstream.c
$(OBJDIR)/mpeg3dump.o: 				    mpeg3dump.c
$(OBJDIR)/libmpeg3.o: 				    libmpeg3.c
$(OBJDIR)/mpeg3atrack.o: 			    mpeg3atrack.c
$(OBJDIR)/mpeg3css.o: 				    mpeg3css.c
$(OBJDIR)/mpeg3demux.o: 			    mpeg3demux.c
$(OBJDIR)/mpeg3ifo.o: 				    mpeg3ifo.c
$(OBJDIR)/mpeg3io.o: 				    mpeg3io.c
#$(OBJDIR)/mpeg3split.o: 			    mpeg3split.c
$(OBJDIR)/mpeg3title.o: 			    mpeg3title.c
$(OBJDIR)/mpeg3toc.o: 				    mpeg3toc.c
$(OBJDIR)/mpeg3toc3.o:  			    mpeg3toc3.c
$(OBJDIR)/mpeg3vtrack.o: 			    mpeg3vtrack.c
$(OBJDIR)/audio/ac3.o:  			    audio/ac3.c
$(OBJDIR)/audio/bit_allocation.o: 		    audio/bit_allocation.c
$(OBJDIR)/audio/dct.o:  			    audio/dct.c
$(OBJDIR)/audio/exponents.o: 			    audio/exponents.c
$(OBJDIR)/audio/header.o: 			    audio/header.c
$(OBJDIR)/audio/huffman.o: 			    audio/huffman.c
$(OBJDIR)/audio/layer2.o: 			    audio/layer2.c
$(OBJDIR)/audio/layer3.o: 			    audio/layer3.c
$(OBJDIR)/audio/mantissa.o: 			    audio/mantissa.c
$(OBJDIR)/audio/mpeg3audio.o: 			    audio/mpeg3audio.c
$(OBJDIR)/audio/pcm.o:  			    audio/pcm.c
$(OBJDIR)/audio/synthesizers.o: 		    audio/synthesizers.c
$(OBJDIR)/audio/tables.o: 			    audio/tables.c
$(OBJDIR)/video/getpicture.o: 			    video/getpicture.c
$(OBJDIR)/video/headers.o: 			    video/headers.c
$(OBJDIR)/video/idct.o: 			    video/idct.c
$(OBJDIR)/video/macroblocks.o:  		    video/macroblocks.c
$(OBJDIR)/video/mmxtest.o: 			    video/mmxtest.c
$(OBJDIR)/video/motion.o: 			    video/motion.c
$(OBJDIR)/video/mpeg3video.o: 			    video/mpeg3video.c
$(OBJDIR)/video/output.o: 			    video/output.c
$(OBJDIR)/video/reconstruct.o:  		    video/reconstruct.c
$(OBJDIR)/video/seek.o: 			    video/seek.c
$(OBJDIR)/video/slice.o: 			    video/slice.c
$(OBJDIR)/video/vlc.o:  			    video/vlc.c
$(OBJDIR)/workarounds.o:  			    workarounds.c



include depend.a52

=== video/Makefile ===
include ../global_config
export CFLAGS

OBJS = \
	getpicture.o \
	headers.o \
	idct.o \
	macroblocks.o \
	mmxtest.o \
	motion.o \
	mpeg3video.o \
	output.o \
	reconstruct.o \
	seek.o \
	slice.o \
	vlc.o


all: $(OBJS) $(MMXOBJS2)

.c.o:
	$(CC) -c `./c_flags` $*.c

.s.o:
	$(NASM) -f elf $*.s

.S.o:
	$(CC) -c `./c_flags` $*.S

clean:
	rm -f *.o

## libmpeg3 1.8.dfsg

=== Makefile ===
--- 
+++ 
@@ -5,6 +5,9 @@
 A52DIR := $(shell expr a52dec* )
 
 
+ifeq ("$(DST)", "")
+DST=/usr/bin
+endif
 
 ifeq ($(origin CFLAGS), environment)
 HAVE_CFLAGS := y
@@ -64,7 +67,9 @@
 	-I$(A52DIR)/include \
 	-I$(A52DIR)/liba52
 
-#CFLAGS += -g
+
+
+CFLAGS += -g
 
 
 
@@ -85,14 +90,16 @@
 	$(OBJDIR)/audio/pcm.o \
 	$(OBJDIR)/audio/synthesizers.o \
 	$(OBJDIR)/audio/tables.o \
-	$(OBJDIR)/bitstream.o \
 	$(OBJDIR)/libmpeg3.o \
 	$(OBJDIR)/mpeg3atrack.o \
+	$(OBJDIR)/mpeg3bits.o \
 	$(OBJDIR)/mpeg3css.o \
 	$(OBJDIR)/mpeg3demux.o \
 	$(OBJDIR)/mpeg3ifo.o \
 	$(OBJDIR)/mpeg3io.o \
+	$(OBJDIR)/mpeg3strack.o \
 	$(OBJDIR)/mpeg3title.o \
+	$(OBJDIR)/mpeg3tocutil.o \
 	$(OBJDIR)/mpeg3vtrack.o \
 	$(OBJDIR)/video/getpicture.o \
 	$(OBJDIR)/video/headers.o \
@@ -100,11 +107,13 @@
 	$(OBJDIR)/video/macroblocks.o \
 	$(OBJDIR)/video/mmxtest.o \
 	$(OBJDIR)/video/motion.o \
+	$(OBJDIR)/video/mpeg3cache.o \
 	$(OBJDIR)/video/mpeg3video.o \
 	$(OBJDIR)/video/output.o \
 	$(OBJDIR)/video/reconstruct.o \
 	$(OBJDIR)/video/seek.o \
 	$(OBJDIR)/video/slice.o \
+	$(OBJDIR)/video/subtitle.o \
 	$(OBJDIR)/video/vlc.o \
 	$(OBJDIR)/workarounds.o
 
@@ -133,14 +142,14 @@
 
 
 OUTPUT = $(OBJDIR)/libmpeg3.a
-UTILS = $(OBJDIR)/mpeg3dump $(OBJDIR)/mpeg3toc  $(OBJDIR)/mpeg3cat
+UTILS = $(OBJDIR)/mpeg3dump $(OBJDIR)/mpeg3peek $(OBJDIR)/mpeg3toc  $(OBJDIR)/mpeg3cat
 
 #$(OBJDIR)/mpeg3split
 
 
 LIBS = -lm -lpthread
 
-$(shell if ! test -d $(OBJDIR) \; then mkdir -p $(OBJDIR) \; fi )
+$(shell mkdir -p $(OBJDIR) )
 
 $(shell echo $(CFLAGS) > $(OBJDIR)/c_flags)
 $(shell echo $(A52CFLAGS) > $(OBJDIR)/a52_flags)
@@ -157,6 +166,9 @@
 
 $(OBJDIR)/mpeg3dump: $(OUTPUT) mpeg3dump.c
 	$(CC) `cat $(OBJDIR)/c_flags` -o $(OBJDIR)/mpeg3dump mpeg3dump.c $(OUTPUT) $(LIBS)
+
+$(OBJDIR)/mpeg3peek: $(OUTPUT) mpeg3peek.c
+	$(CC) `cat $(OBJDIR)/c_flags` -o $(OBJDIR)/mpeg3peek mpeg3peek.c $(OUTPUT) $(LIBS)
 
 $(OBJDIR)/mpeg3toc: $(OUTPUT) mpeg3toc.c
 	$(CC) `cat $(OBJDIR)/c_flags` -o $(OBJDIR)/mpeg3toc mpeg3toc.c $(OUTPUT) $(LIBS)
@@ -179,7 +191,7 @@
 		-ldl
 
 install: 
-	cp $(UTILS) /usr/bin
+	cp $(UTILS) $(DST)
 
 clean:
 	rm -rf $(OBJDIR)
@@ -200,18 +212,19 @@
 $(A52OBJS):
 	$(CC) -c `cat $(OBJDIR)/a52_flags` $(subst $(OBJDIR)/,, $*.c) -o $*.o
 
-$(OBJDIR)/bitstream.o:  			    bitstream.c
-$(OBJDIR)/mpeg3dump.o: 				    mpeg3dump.c
 $(OBJDIR)/libmpeg3.o: 				    libmpeg3.c
 $(OBJDIR)/mpeg3atrack.o: 			    mpeg3atrack.c
+$(OBJDIR)/mpeg3bits.o:  			    mpeg3bits.c
 $(OBJDIR)/mpeg3css.o: 				    mpeg3css.c
 $(OBJDIR)/mpeg3demux.o: 			    mpeg3demux.c
+$(OBJDIR)/mpeg3dump.o: 				    mpeg3dump.c
 $(OBJDIR)/mpeg3ifo.o: 				    mpeg3ifo.c
 $(OBJDIR)/mpeg3io.o: 				    mpeg3io.c
-#$(OBJDIR)/mpeg3split.o: 			    mpeg3split.c
+$(OBJDIR)/mpeg3strack.o:                            mpeg3strack.c
 $(OBJDIR)/mpeg3title.o: 			    mpeg3title.c
+$(OBJDIR)/mpeg3toc3.o:  			    mpeg3toc3.c
 $(OBJDIR)/mpeg3toc.o: 				    mpeg3toc.c
-$(OBJDIR)/mpeg3toc3.o:  			    mpeg3toc3.c
+$(OBJDIR)/mpeg3tocutil.o:                           mpeg3tocutil.c
 $(OBJDIR)/mpeg3vtrack.o: 			    mpeg3vtrack.c
 $(OBJDIR)/audio/ac3.o:  			    audio/ac3.c
 $(OBJDIR)/audio/bit_allocation.o: 		    audio/bit_allocation.c
@@ -232,11 +245,13 @@
 $(OBJDIR)/video/macroblocks.o:  		    video/macroblocks.c
 $(OBJDIR)/video/mmxtest.o: 			    video/mmxtest.c
 $(OBJDIR)/video/motion.o: 			    video/motion.c
+$(OBJDIR)/video/mpeg3cache.o: 			    video/mpeg3cache.c
 $(OBJDIR)/video/mpeg3video.o: 			    video/mpeg3video.c
 $(OBJDIR)/video/output.o: 			    video/output.c
 $(OBJDIR)/video/reconstruct.o:  		    video/reconstruct.c
 $(OBJDIR)/video/seek.o: 			    video/seek.c
 $(OBJDIR)/video/slice.o: 			    video/slice.c
+$(OBJDIR)/video/subtitle.o:                         video/subtitle.c
 $(OBJDIR)/video/vlc.o:  			    video/vlc.c
 $(OBJDIR)/workarounds.o:  			    workarounds.c

=== audio/Makefile ===
include ../global_config
export CFLAGS

OBJS = \
	ac3.o \
	bit_allocation.o \
	dct.o \
	exponents.o \
	header.o \
	layer2.o \
	layer3.o \
	mantissa.o \
	mpeg3audio.o \
	pcm.o \
	synthesizers.o \
	tables.o

all: $(OBJS)

.c.o:
	$(CC) -c `./c_flags` $*.c

.s.o:
	$(CC) -f elf $*.s

clean:
	rm -f *.o

=== debian/changelog ===
libmpeg3 (1.8.dfsg-6) unstable; urgency=medium

  * Add more missing prototypes (Closes: #1065781)
  * Apply 'wrap-and-sort -ast'

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 22 Mar 2024 23:03:43 +0100

libmpeg3 (1.8.dfsg-5) unstable; urgency=medium

  [ IOhannes m zmölnig ]
  * Acknowledge NMU.

  [ Petter Reinholdtsen ]
  * Restructured debian patches and added more metadata to them.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 29 Feb 2024 08:22:35 +0100

libmpeg3 (1.8.dfsg-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062423

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 14:14:10 +0000

libmpeg3 (1.8.dfsg-4) unstable; urgency=medium

  * Drop debian/*.dirs to not create empty directories (Closes: #1041756)
  * Modernize 'licensecheck' target
    + Re-generate d/copyright_hints
  * Apply 'wrap-and-sort -ast'
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 29 Aug 2023 17:07:02 +0200

libmpeg3 (1.8.dfsg-3) unstable; urgency=medium

  * Adopt package into multimedia-team
    - Add myself as Uploader
  * Install libs/pkgconfig to multiarch locations (Closes: #913006)
  * Drop unused patches
  * Add d/libmpeg3-2.symbols file
  * Fix and improve buildsystem
    - Honour $(DESTDIR) when installing
    - Fix cross-compilation
  * d/rules
    - Switch to debhelper-13
    - Rule to create copyright hits + copyright_hints
    - Use DEB_CFLAGS_MAINT_APPEND to inject compiler warning flags
    - Force build-system to 'makefile'
  * d/changelog
    - Drop trailing whitespace
  * d/copyright
    - Convert d/copyright into a machine-readable format
    * Declare files-excluded from packaging in d/copyright
  * d/control
    - Fix short-description for mpeg3-utils
    - Drop duplicate Section-field
    - Use versioned dependency on debhelper-compat rather than d/compat
    - Declare libmpeg3* packages as MultiArch:foreign
    - Update Vcs-* and homepage stanzas
  * Add d/watch
  * Fix encoding of files in debian/
  * Add salsa-ci configuration
  * Declare that building this package does not require 'root' powers.
  * Bump dh compat to 13
  * Bump standards version to 4.6.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 25 Aug 2021 11:27:20 +0200

libmpeg3 (1.8.dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Promote Petter Reinholdtsen as Maintainer, remove David Martínez
    Moreno (Closes: #845290)

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #876253)
    + Let dh_auto_build pass cross compilers to make.
    + Fix the debian-build-rules.patch.

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Mon, 06 Nov 2017 22:24:08 +0100

libmpeg3 (1.8.dfsg-2) unstable; urgency=low

  * Add patch header-comment-fix.patch to fix a typo in the
    mpeg3protos.h header.
  * Move header files to /usr/include/mpeg3/ to group them together and
    become compatible with Fedora which already place them there.  Adjust
    pkg-config file to reflect the change.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 06 Jun 2014 07:54:22 +0200

libmpeg3 (1.8.dfsg-1) unstable; urgency=low

  * Update to debhelper 9 support.
  * Move source patches to debian/patches/ and package format to 3.0
    (quilt).
  * Update upstream source to version 1.8 (Closes: #430770).
    - Split relevant parts of the patch used in 1.5.4-5.1 info new
      patches alpha-largefile.patch and debian-build-rules.patch
    - Drop patches to fix bugs #287422 and #729275, as these problems
      are fixed differently upstream.
    - Change shared library major number from 1 to 2, as the new library have
      a new API and ABI.
    - No longer have typo in Makefile (Closes: #374504).
    - Repack upstream tarball without mpeg3css.c and the a52dec library.
      Instructions for how to do this is in debian/rules.
  * Add patch prototype-free.patch to make sure stdlib.h is included
    before free() is used.
  * Change encoding of debian/copyright to UTF-8.
  * Update standards-version from 3.6.2.2 to 3.9.5.
  * Add missing dependency on ${misc:Depends}.  Thank you lintian.
  * Adjust copyright file to document upstream copyright 2003-2008.
  * Change debian/rules to use dh_prep instead of the obsolete
    dh_clean -k.  Thank you, lintian.
  * Enable hardening flags during build and linking.
  * New patch fix-format-security-error.patch to make code buildable
    with hardening enabled.
  * Add homepage URL to control file (Closes: #749469).
  * Reorder shared library linking rule to work with the --as-needed
    linker flag (Closes: #633333).  Patch from Sebastian Carneiro and
    Ubuntu.
  * Use ${binary:Version} when depending on library from dev package,
    instead of the obsolete ${Source-Version}. Thank you, lintian.
  * New patch fix-video-alpha.patch lifted from the Cinelerra project
    fixing pixel conversion macros, making sure the default alpha level
    is max, not zero.
  * New patch handle-hdv-m2t.patch lifted from the Cinelerra project
    adding code to recognize *.m2t as MPEG files.
  * Add Vcs-* headers to control file pointing to the collab-maint git
    repository.
  * New patch fix-format-strings.patch to correct format string problems
    reported by the compiler because hardening was enabled.
  * Add new patch compiler-warnings.patch to enable more compiler
    warnings.
  * Add new patch missing-include.patch to include system header files
    where they were missing.
  * Add patch fix-fake-css.patch to fix inconsistent function signature.
  * Add patch missing-prototypes.patch to include prototypes before
    function calls.
  * Add pkgconfig file for libmpeg3 to ease detection and linking.
  * Add missing rules targets build-arch and build-indep.  Thanks
    lintian for the reminder.
  * Add myself as uploader.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 02 Jun 2014 08:54:11 +0200

libmpeg3 (1.5.4-5.1) unstable; urgency=medium



=== debian/control ===
Source: libmpeg3
Section: libs
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Petter Reinholdtsen <pere@debian.org>,
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dpkg-dev (>= 1.22.5),
 liba52-dev,
Homepage: http://heroinewarrior.com/libmpeg3.php
Vcs-Git: https://salsa.debian.org/multimedia-team/libmpeg3.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/libmpeg3

Package: mpeg3-utils
Architecture: any
Section: utils
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: MPEG streams decoding library (utilities)
 LibMPEG3 is a versatile and high-performance library capable
 of decoding both audio and video from many different MPEG formats.
 .
 This package includes several utilities for working with MPEG2 streams.

Package: libmpeg3-2t64
Provides:
 ${t64:Provides},
Replaces:
 libmpeg3-2,
Breaks:
 libmpeg3-2 (<< ${source:Version}),
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: MPEG streams decoding library
 LibMPEG3 is a versatile and high-performance library capable
 of decoding both audio and video from many different MPEG formats.
 .
 LibMPEG3 decodes several MPEG standards into uncompressed
 data suitable for editing and playback. It currently decodes:
 .
  - MPEG-2 video
  - MPEG-1 video
  - mp3 audio
  - mp2 audio
  - ac3 audio
  - MPEG-2 transport streams
  - MPEG-2 program streams
  - MPEG-1 program streams
  - IFO files

Package: libmpeg3-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libmpeg3-2t64 (= ${binary:Version}),
 ${misc:Depends},
Description: Headers and static libraries for libMPEG3
 Headers and static libraries for the libMPEG3 decoding
 library. Refer to libmpeg3-2t64 package for description.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
# Copyright 2002 David Martínez <ender@debian.org>

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export DEB_CFLAGS_MAINT_APPEND=-Wall -Wextra -Wno-unused-function -W


# shared library versions
version=1.8
major=2

export version major


%:
	dh $@ -Smakefile

override_dh_install:
	mkdir -p  $(CURDIR)/debian/tmp/usr/lib/pkgconfig
	sed "s/@VERSION@/$(version)/" < debian/pkgconfig.in > $(CURDIR)/debian/tmp/usr/lib/pkgconfig/libmpeg3.pc
	dh_install



DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
        debian/.*|test\.toc
# licensecheck v1
.PHONY: licensecheck
licensecheck:
	LANG=C.UTF-8 licensecheck \
		-i "^($(DEB_COPYRIGHT_CHECK_IGNORE_REGEX))$$" \
		--check '.*' --recursive --deb-machine --lines 0 * \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

=== debian/watch ===
version=4
opts=dversionmangle=s/[\+~.](debian|dfsg|ds|deb)(\.)?(\d+)?$//,repacksuffix=+dfsg0 \
https://sf.net/heroines/ libmpeg3-(.+)-src\.tar\.bz2 debian uupdate
